<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>
<!DOCTYPE html>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<jsp:include page="/jsp/common/include/css.jsp"/>
<jsp:include page="/jsp/common/include/script.jsp"/>

<script language="javascript" >
    var eaiBzwkDstcd   = window.dialogArguments["eaiBzwkDstcd"];
    var msgDpstYMS     = window.dialogArguments["msgDpstYMS"];
    var eaiSvcSerno    = window.dialogArguments["eaiSvcSerno"];
    var logPrcssSerno  = window.dialogArguments["logPrcssSerno"];
    
    var eaiSvcCode   = "";

	var eaiMsg		   = "";
    //var eaiBzwkDstcd   = "${param.eaiBzwkDstcd}";
   // var msgDpstYMS     = "${param.msgDpstYMS}";
    //var eaiSvcSerno    = "${param.eaiSvcSerno}";
   	//var logPrcssSerno  = "${param.logPrcssSerno}";
   //alert("eaiBzwkDstcd="+eaiBzwkDstcd+","+"msgDpstYMS="+msgDpstYMS+","+"eaiSvcSerno="+eaiSvcSerno+","+"logPrcssSerno="+logPrcssSerno+",");

	// 데이터의 왼쪽에 0으로 채우는 함수 (표준전문 헤더의 전문길이 8자리 포맷 지정)
	function lpad(str, len, chr)
	{
		var max = 0;
		
		if(!str || !chr || str.length >= len)
		{
			return str;
		}
		
		max = len-str.length;
		for(var i = 0; i < max; i++)
		{
			str = chr + str;
		}
		
		return str;
	}
	
	// 문자열 Byte 계산 함수 (표준전문 전체 길이 체크)
	function getBytes(str) {
		var orgVal = str;
		var bytes =0;
		
		for( var k=0;k < orgVal.length;k++) {
			var tmp = orgVal.charAt(k);
			var b=0;
			if(escape(tmp).length > 4) {
				b=2;
			} else if( tmp != '\r' ) {  // 리눅스는 \r를 인식하지 못함
				b=1;
			}
			bytes += b;
		}
		
		return bytes;
	}
	
	// 표준전문 생성 함수
	function getMsg(msgHeader, msgCommon, msgMsg, msgDataheader, msgBzwkdatactnt)
	{
		var tempEaiMsg = "";
		
		if(msgMsg == null)
		{
			tempEaiMsg = msgHeader + msgCommon + msgDataheader + msgBzwkdatactnt + "@@";
		}
		else
		{
			tempEaiMsg = msgHeader + msgCommon + msgMsg + msgDataheader + msgBzwkdatactnt + "@@";
		}
		
		return tempEaiMsg;
	}

	function detail(url){
		$.ajax({  
			type : "POST",
			url:url,
			dataType:"json",
			data:{cmd: 'DETAIL', eaiSvcSerno : eaiSvcSerno, logPrcssSerno:logPrcssSerno,eaiBzwkDstcd:eaiBzwkDstcd,msgDpstYMS:msgDpstYMS },
			success:function(json){
				var data = json;
				$("#ajaxForm input,#ajaxForm textarea").each(function(){
					var name = $(this).attr("name");
					if (name == null || name==undefined || name=="") return;
					var tag  = $(this).prop("tagName").toLowerCase();
					$(tag+"[name="+name+"]").val(data[name.toUpperCase()]);
					
					//업체코드.업체명
					if(name=="companyName"){
						if(data["COMPANYCODE"] !=null && data["COMPANYCODE"].trim() != ''){
							$("input[name=companyName]").val("["+data["COMPANYCODE"]+"] "+data[name.toUpperCase()]);
						}
					}
					
					//RSPNSCHNGMSGTYPE 오류변환 =1
					if(data["LOGPRCSSSERNO"] == '400' && data["RSPNSCHNGMSGTYPE"] == '1'){
						$("#errorYn").text("[오류전문 레이아웃]");
						
					}
					
					//서비스코드 추가
					if(name == "eaiSvcName"){
						eaiSvcCode = data["EAISVCNAME"]; 
					}
				});
				
				$("input[name=gstatSysAdptrBzwkGroupName],input[name=psvSysAdptrBzwkGroupName]").each(function(){
					var name = $(this).attr("name");
					if ("${rmsMenuAuth}" =="W"){ //2020.07.08 admin 만 버튼보이게 수정
						$("#"+name).show();
						$("input[name="+name+"]").css("width","185px");
					}
				});
				
				$("input[name=inptMsgIDName],input[name=chngMsgIdName],input[name=bascRspnsChngMsgIdName],input[name=errRspnsChngMsgIdName]").each(function(){
					var name = $(this).attr("name");
					if($("input[name="+name+"]").val().trim() != ""){
						$("#"+name).show();
						$("input[name="+name+"]").css("width","185px");
					}
				});
				
				
				//에러시 에러탭이 보이도록
				if($("textarea[name=eaiErrCtnt]").val().trim() != ""){
					 $("ul.tabs li[rel=tab5]").click();
				}
				
				//$("#grid")[0].addJSONData(json);	//데이터부
				$("#grid1")[0].addJSONData(json);	//헤더부
				$("#grid2")[0].addJSONData(json);	//공통부
				$("#grid3")[0].addJSONData(json);	//추가부
				$("#grid4")[0].addJSONData(json);	//업무데이터 그리드로 보여주기 추가
				
				if(json.xmlDataYn =="Y"){
					$("#btn_xml").show();
				}
				else {
					$("#btn_xml").hide();
				}
				
				if(json.orgDataYn =="Y"){
					$("#btn_orgmsg").show();
				}
				else {
					$("#btn_orgmsg").hide();
				}
				
				if(json.bizDataYn =="Y"){
					$("#btn_bizmsg").show();
				}
				else {
					$("#btn_bizmsg").hide();
				}
				
				if(json.inputMediaDataYn =="Y"){
					$("#btn_inptmdia").show();
				}
				else {
					$("#btn_inptmdia").hide();
				}

				
			},
			error:function(e){
				alert(e.responseText);
			}
		});
	}
	function copy(obj){
        var sel = obj.jqGrid('getGridParam', 'selrow');
		var colmodel = obj.jqGrid('getGridParam',"colModel");

		data = "";
		for (var col = 1 ;col < colmodel.length;col++){
			if(!colmodel[col].hidden ){
				data += obj.jqGrid('getCell',sel,colmodel[col].name)+"	";
			}
		}
		data +="\n";
		window.clipboardData.setData("Text",data);
	}	

	function fnModalClose(){
		var opener = window.dialogArguments['self'];
		var url = opener.document.location.href;
		if(url.indexOf("pop=true")>0){
			opener.fnModalClose();
			top.opener = null;
			top.window.close();
		}else{
			opener.document.location.href=opener.document.URL;
			top.opener = null;
			top.window.close();
		}
	}
var lastsel1;
var lastsel2;
var lastsel3;
var lastsel4;

$(document).ready(function() {	
	
	var url ='<c:url value="/onl/transaction/tracking/integrationLogMan.json" />';
	detail(url);	
	$('textarea').attr("readonly","readonly");
	$('input').attr("readonly","readonly");
	$('#grid1').jqGrid({	//헤더부
		datatype : "json",
		mtype : 'POST',
		colNames : [ '<%=localeMessage.getString("trackingDetail.index")%>',
		             '<%=localeMessage.getString("trackingDetail.fieldName")%>',
		             '<%=localeMessage.getString("trackingDetail.korName")%>',
		             '<%=localeMessage.getString("trackingDetail.data")%>',
		             '<%=localeMessage.getString("trackingDetail.dataLen")%>'
		              ],
		colModel : [ { name : 'index'     , align : 'center' , width:'60' },
		             { name : 'fieldName' , align : 'left'   , width:'200', editable : true, editoptions : {readonly : true}},
		             { name : 'korName'   , align : 'left'   , editable : true, editoptions : {readonly : true}},
		             { name : 'data'      , align : 'left'   , width:'226', editable : true, editoptions : {readonly : true}},
		             { name : 'dataLen'   , align : 'center' , width:'80' , editable : true, editoptions : {readonly : true}}
		              ],
		jsonReader : {
			repeatitems : false,
			root : "hdrRows"
		},
		rowNum: 10000,
		height : "255px",
		autowidth : true,
		viewrecords : true,
	    ondblClickRow: function(rowId) {
	        lastsel1=rowId;
	        $('#grid1').editRow(rowId,false);
	    },
	    onSelectRow: function(rowId,status){
	    	$('#grid1').restoreRow((lastsel1)?lastsel1:rowId);
	    }
		
	});
	$('#grid2').jqGrid({	//공통부
		datatype : "json",
		mtype : 'POST',
		colNames : ['<%=localeMessage.getString("trackingDetail.index")%>',
		            '<%=localeMessage.getString("trackingDetail.fieldName")%>',
		            '<%=localeMessage.getString("trackingDetail.korName")%>',
		            '<%=localeMessage.getString("trackingDetail.data")%>',
		            '<%=localeMessage.getString("trackingDetail.dataLen")%>'
	             ],
		colModel : [ { name : 'index'     , align : 'center' , width:'60' },
		             { name : 'fieldName' , align : 'left'   , width:'200' , editable : true, editoptions : {readonly : true}},
		             { name : 'korName'   , align : 'left'   , editable : true, editoptions : {readonly : true}},
		             { name : 'data'      , align : 'left'   , width:'226', editable : true, editoptions : {readonly : true}},
		             { name : 'dataLen'   , align : 'center' , width:'80' , editable : true, editoptions : {readonly : true}},
		              ],
		jsonReader : {
			repeatitems : false,
			root : "comRows"
		},
		rowNum: 10000,
		height : "255px",
		autowidth : true,
		viewrecords : true,
	    ondblClickRow: function(rowId) {
	        lastsel2=rowId;
	        $('#grid2').editRow(rowId,false);
	    },
	    onSelectRow: function(rowId,status){
	    	$('#grid2').restoreRow((lastsel2)?lastsel2:rowId);
	    }
		
	});
	$('#grid3').jqGrid({	//추가
		datatype : "json",
		mtype : 'POST',
		colNames : ['<%=localeMessage.getString("trackingDetail.index")%>',
		            '<%=localeMessage.getString("trackingDetail.fieldName")%>',
		            '<%=localeMessage.getString("trackingDetail.korName")%>',
		            '<%=localeMessage.getString("trackingDetail.data")%>',
		            '<%=localeMessage.getString("trackingDetail.dataLen")%>'
		         ],
		colModel : [ { name : 'index'     , align : 'center' , width:'60' },
		             { name : 'fieldName' , align : 'left'   , width:'200' , editable : true, editoptions : {readonly : true} },
		             { name : 'korName'   , align : 'left' , editable : true, editoptions : {readonly : true}   },
		             { name : 'data'      , align : 'left'   , width:'226' , editable : true, editoptions : {readonly : true}},
		             { name : 'dataLen'   , align : 'center' , width:'80' , editable : true, editoptions : {readonly : true} }
		              ],
		jsonReader : {
			repeatitems : false,
			root : "msgRows"
		},
		rowNum: 10000,
		height : "255px",
		autowidth : true,
		viewrecords : true,
	    ondblClickRow: function(rowId) {
	        lastsel3=rowId;
	        $('#grid3').editRow(rowId,false);
	    },
	    onSelectRow: function(rowId,status){
	    	$('#grid3').restoreRow((lastsel3)?lastsel3:rowId);
	    }
		
	});
	
	$('#grid4').jqGrid({	//업무데이터 추가
		datatype : "json",
		mtype : 'POST',
		colNames : ['순서',
		            '이름',
		            '설명', 
		            '값',
		            '길이'
		         ],
		colModel : [ { name : 'rownum'  , align : 'center' , width:'30' , editable : true, editoptions : {readonly : true} },
			 		 { name : 'name' 	, align : 'left'   , width:'100', editable : true, editoptions : {readonly : true} }, 
		             { name : 'desc' 	, align : 'left'   , width:'100', editable : true, editoptions : {readonly : true} },
		             { name : 'value'   , align : 'left'   , width:'120', editable : true, editoptions : {readonly : true} },
		             { name : 'len'   	, align : 'center' , width:'40' , editable : true, editoptions : {readonly : true} }
		              ],
		jsonReader : {
			repeatitems : false,
			root : "bizGridRows"
		},
		rowNum: 10000,
		height : "185px",
		autowidth : true,
		viewrecords : true,
	    ondblClickRow: function(rowId) {
	        lastsel4=rowId;
	        $('#grid4').editRow(rowId,false);
	    },
	    onSelectRow: function(rowId,status){
	    	$('#grid4').restoreRow((lastsel4)?lastsel4:rowId);
	    },
	});
	
	
	$("#grid,#grid1,#grid2,#grid3").keydown(function(e){
		if(e.ctrlKey && e.keyCode ==67){
			copy($(this));
		} 
	});
	//resizeJqGridWidth('grid','container-1','800');
	//resizeJqGridWidth('grid1','container-1','800');
	//resizeJqGridWidth('grid2','container-1','800');
	//resizeJqGridWidth('grid3','container-1','800');
	
	$(".data_content").hide();
    $(".tab_content").hide();
    $(".tab_content:first").show();
    $(".layout_btn").hide();
    $(".adapter_btn").hide();
    
    $("ul.tabs li").click(function () {
        $("ul.tabs li").removeClass("active");
        $(this).addClass("active");
        $(".tab_content").hide();
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).show();
    });	

	$("#btn_close").click(function(){
		window.close();
	});
	$("#btn_xml").click(function(){
		var url = '<c:url value="/onl/transaction/tracking/integrationLogMan.json" />';
		url += "?cmd=DETAIL_XML";
		url += '&eaiSvcSerno='   +$("input[name=eaiSvcSerno]").val();
		url += '&msgDpstYMS='    +$("input[name=msgDpstYMS]").val();
		url += '&eaiBzwkDstcd='  +$("input[name=eaiBzwkDstcd]").val();
		url += '&logPrcssSerno=' +$("input[name=logPrcssSerno]").val();
		var showXml = windowOpen(url,"showXML",700,600,",location=0,menubar=0,titlebar=0,toolbar=0,status=0,directories=0,resizable=no,scrollbars=yes");
		showXml.focus();
// 		showModal(url,"showXML",700,600);
	});
	
	$("#btn_ebcdic").click(function(){
		var url = '<c:url value="/onl/transaction/tracking/integrationLogMan.json" />';
		url += "?cmd=DETAIL_EBCDIC";
		url += '&eaiSvcSerno='   +$("input[name=eaiSvcSerno]").val();
		url += '&msgDpstYMS='    +$("input[name=msgDpstYMS]").val();
		url += '&eaiBzwkDstcd='  +$("input[name=eaiBzwkDstcd]").val();
		url += '&logPrcssSerno=' +$("input[name=logPrcssSerno]").val();
		var showXml = windowOpen(url,"showMessage",700,600);
		showXml.focus();
	});
	
	$("#btn_orgmsg").click(function(){
		var url = '<c:url value="/onl/transaction/tracking/integrationLogMan.json" />';
		url += "?cmd=DETAIL_ORG";
		url += '&eaiSvcSerno='   +$("input[name=eaiSvcSerno]").val();
		url += '&msgDpstYMS='    +$("input[name=msgDpstYMS]").val();
		url += '&eaiBzwkDstcd='  +$("input[name=eaiBzwkDstcd]").val();
		url += '&logPrcssSerno=' +$("input[name=logPrcssSerno]").val();
		url += '&serviceType=DSG';
// 		var showOrg = window.open(url,"showOrg","width=700,height=300,location=0,menubar=0,titlebar=0,toolbar=0,status=0,directories=0,resizable=no,scrollbars=no");
// 		var showOrg = windowOpen(url,"showOrg",700,300,",location=0,menubar=0,titlebar=0,toolbar=0,status=0,directories=0,resizable=no,scrollbars=no");
// 		showOrg.focus();
		showModal(url,"showXML",700,300);
		
	});
	
	//업무데이터 그리드로 보여주기
	$("#btn_bizmsg").click(function(){
		if($(".data_content").css("display") == "none"){
			$("#data_org").hide();
			$(".data_content").show();
			$("#btn_excel").show();
		}else{
			$("#data_org").show();
			$(".data_content").hide();
			$("#btn_excel").hide();
		}
	});
	
	$("#btn_excel").click(function(event) {
		var url_excel = '<c:url value="/onl/transaction/tracking/integrationLogMan.excel" />';
        event.stopPropagation(); // Do not propagate the event.
        // Create an object that will manage to download the file.
        var target = "excelDown" ; // iframe의 name
        //title : 서비스코드_거래처리seq
        var title = eaiSvcCode+"_"+logPrcssSerno;
		gridToExcelSubmit(url_excel,"LIST_BIZGRID_TO_EXCEL",$("#grid4"),$("#ajaxForm"),title);
		return false;     
	});
	
	//입력매체부 팝업
	$("#btn_inptmdia").click(function(){
		var args = new Object();
	    args['eaiSvcSerno'] = $("input[name=eaiSvcSerno]").val();
	    args['msgDpstYMS'] = $("input[name=msgDpstYMS]").val();
	    args['eaiBzwkDstcd'] = $("input[name=eaiBzwkDstcd]").val();
	    args['logPrcssSerno'] = $("input[name=logPrcssSerno]").val();
	    
	    var url = '<c:url value="/onl/transaction/tracking/integrationLogMan.view" />';
	    url += "?cmd=DETAILPOPUP";
	    url += '&pop=true';
	    
	    showModal(url,args,800,600); 
	
	});
	
	//EAI 서비스코드 팝업 
	$("#eaiSvcName").click(function(){
		var selectId =  $(this).attr('id');
		var eaiSvcName = $("input[name="+selectId+"]").val();
		if($.trim(eaiSvcName) =="") return;
		
		var args = new Object();

		var url = '<c:url value="/onl/admin/service/eaiMsgMan.view" />';
		url += "?cmd=DETAILPOPUP";
        url += '&eaiSvcName='+eaiSvcName;
        url += '&pop=true';
	    
	    showModal(url,args,1000,1218); 
	});
	
	
	//기동 수동 어댑터 팝업 
	$("#gstatSysAdptrBzwkGroupName,#psvSysAdptrBzwkGroupName").click(function(){
		var selectId =  $(this).attr('id');
		var adptrBzwkGroupName = $("input[name="+selectId+"]").val();
		if($.trim(adptrBzwkGroupName) =="") return;
		
		//B2B 거래 어댑터 
// 		if(adptrBzwkGroupName.indexOf(".") > -1){
// 			var idx = adptrBzwkGroupName.indexOf(".");
// 			adptrBzwkGroupName = adptrBzwkGroupName.substring(0,idx);
// 		}
		
		var args = new Object();

		var url = '<c:url value="/onl/admin/adapter/adapterMan.view" />';
		url += "?cmd=DETAILPOPUP";
        url += '&adptrBzwkGroupName='+adptrBzwkGroupName;
        url += '&pop=true';
	    
	    showModal(url,args,1000,1218,'','scroll:on'); 
	});
	
	
	$("input[name=inptMsgIDName]").dblclick(function(){
		var layoutName = $(this).val();
		if($.trim(layoutName) =="") return;

		 var args = new Object();

		var url = '<c:url value="/onl/admin/rule/layoutMan.view" />';
		url += "?cmd=DETAILPOPUP";
        url += '&loutName='+layoutName;
        url += '&pop=true';
	    
	    showModal(url,args,890,940,'','scroll:on'); 
	});
	
	$("#inptMsgIDName").click(function(){
		var selectId =  $(this).attr('id');
		var layoutName = $("input[name="+selectId+"]").val();
		if($.trim(layoutName) =="") return;

		 var args = new Object();

		var url = '<c:url value="/onl/admin/rule/layoutMan.view" />';
		url += "?cmd=DETAILPOPUP";
        url += '&loutName='+layoutName;
        url += '&pop=true';
	    
	    showModal(url,args,890,940,'','scroll:on'); 
	});
	
	$("input[name=chngMsgIdName], input[name=bascRspnsChngMsgIdName],input[name=errRspnsChngMsgIdName]").dblclick(function(){
		var name = $(this).attr('name');
		
		if($("input[name="+name+"]").val().trim() == ""){
			alert("데이터  없음");
			return false;
		}
		
		if($.trim(name) =="") return;
		
		var args = new Object();
    	
   		var eaiSvcName 	= $("input[name=eaiSvcName]").val();
		var cnvsnName 	= $(this).val();
		//args['cnvsnDesc'] = $("input[name=cnvsnName_"+gbn+"]").val();
   	
        
        var url='<c:url value="/onl/transaction/tracking/trackingMan.view"/>';
        url += '?cmd=TRANSFORMPOPUP';
   
         //key값
        url += '&cnvsnName='+cnvsnName;
        url += '&eaiSvcName='+eaiSvcName;

	    var ret = showModal(url,args,1800,820);

	});
	
	$("#chngMsgIdName, #bascRspnsChngMsgIdName ,#errRspnsChngMsgIdName").click(function(){
		var name = $(this).attr('id');
		
		if($("input[name="+name+"]").val().trim() == ""){
			alert("데이터  없음");
			return false;
		}
		
		if($.trim(name) =="") return;
		var args = new Object();
    	
   		var eaiSvcName 	= $("input[name=eaiSvcName]").val();
		var cnvsnName 	= $("input[name="+name+"]").val();
		//args['cnvsnDesc'] = $("input[name=cnvsnName_"+gbn+"]").val();
        
        var url='<c:url value="/onl/transaction/tracking/trackingMan.view"/>';
        url += '?cmd=TRANSFORMPOPUP';
   
         //key값
        url += '&cnvsnName='+cnvsnName;
        url += '&eaiSvcName='+eaiSvcName;

	    var ret = showModal(url,args,1800,820);

	});
	
	$("input[name=msgDpstYMS],input[name=msgPrcssYMS]").inputmask("9999-99-99 99:99:99.999",{'autoUnmask':true});
	
	$("#sp_bzwkData").dblclick(function(){		
		window.clipboardData.setData("Text", eaiMsg);
	});
	if(isChromeBrowse()){
		$("html, hbody").css("overflow-x","scroll");
	}

});

 
</script>
<style>
.dialog_confirm{
	
/* 	position : absolute; */
	left:0px;
	top: 0px;
	width:100%;
	height:100%;
	text-align:center;
	z-index:1000;
}

html,hbody {
	overflow-x:hidden;
	}
</style>
</head>
	<body>
		<div  class="popup_scrollbox">
			<div class="search_wrap">
				<img src="<c:url value="/img/btn_close.png"/>" alt="" id="btn_close" level="R" />
			</div>
			<div class="title"><%=localeMessage.getString("trackingDetail.logDetail")%></div>			
			<form id="ajaxForm">
				<div class="table_row_title"><%=localeMessage.getString("trackingDetail.common")%></div>
				<table class="table_row" cellspacing="0">
					<tr>
						<th style="width:15%;"><%=localeMessage.getString("trackingDetail.eaiBzwkDstcd")%></th>
						<td style="width:35%;"><input type="text" name="eaiBzwkDstcd" readonly="readonly"/> </td>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.msgDpstYMS")%></th>
						<td style="width:30%;"><input type="text" name="msgDpstYMS" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.eaiSvcName")%></th><td><input type="text" name="eaiSvcName" readonly="readonly"style="width:230px"/>
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="eaiSvcName" class="eaiSvcName_btn" /> </td>
						<th><%=localeMessage.getString("trackingDetail.msgPrcssYMS")%></th><td><input type="text" name="msgPrcssYMS" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.eaiSvcDesc")%></th><td><input type="text" name="eaiSvcDesc" readonly="readonly"/> </td>
						<th>GUID</th><td><input type="text" name="guidNo" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.keyMgtMsgCtnt")%></th><td><input type="text" name="keyMgtMsgCtnt" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.logPrcssSerno")%></th><td><input type="text" name="logPrcssSerno" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.eaiSvcSerno")%></th><td><input type="text" name="eaiSvcSerno" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.eaiSevrInstncName")%></th><td><input type="text" name="eaiSevrInstncName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.tranType")%></th><td><input type="text" name="tranType" readonly="readonly"/></td>
						<th><%=localeMessage.getString("trackingDetail.svcHMSEonot")%></th><td><input type="text" name="svcHMSEonot" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("tracking.companyname")%></th><td ><input type="text" name="companyName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("tracking.osidinstinm")%></th><td><input type="text" name="adptrInstiName" readonly="readonly"/> </td>
					</tr>
				</table>				
				<div id="container-1">
					<ul class="tabs">
						<li class="active" rel="tab1"><%=localeMessage.getString("trackingDetail.BizData")%></li>
						<li rel="tab2"><%=localeMessage.getString("trackingDetail.Header")%></li>
						<li rel="tab3"><%=localeMessage.getString("trackingDetail.Common")%></li>
						<li rel="tab4"><%=localeMessage.getString("trackingDetail.ChannelCommon")%></li>
						<li rel="tab5"><%=localeMessage.getString("trackingDetail.Error")%></li>					
					</ul>
					<div class="tab_container">
						<div id="tab1" class="tab_content" >
							<table id="grid" ></table> 
							<div style="margin:15px 0;"> 
								<table><tr>
									<td>
										<img id="btn_xml" src="<c:url value="/img/btn_show_xml.png" />" class="btn_img"  style="display: none;"/>
										<img id="btn_orgmsg" src="<c:url value="/img/btn_detail.png" />" class="btn_img" style="display: none;"/>
										<img id="btn_bizmsg" src="<c:url value="/img/btn_grid.png" />" class="btn_img" style="display: none;"/>
										<img id="btn_inptmdia" src="<c:url value="/img/btn_inmedia.png" />" class="btn_img" style="display: none;"/>
										<img id="btn_excel" src="<c:url value="/img/btn_excel.png" />" class="btn_img" style="display: none;"/>
									</td>
									<td width="10px">&nbsp;</td>
									<td>
										<span id = "errorYn"></span>
									</td>
								</tr></table>
							</div>
							<div></div>
							 <table class="table_row" cellspacing="0"  id="data_org" >
								<tr>
									<td><textarea rows="" cols="" name="bzwkDataCtnt" style="width: 100%;height:192px"></textarea></td>
								</tr>
							</table> 
							
							<div class="data_content"><table id="grid4"></table></div>
							
						</div><!-- end#tab1 -->
						<div id="tab2" class="tab_content">
							<table id="grid1" ></table>
							
						</div><!-- end#tab2 -->
						<div id="tab3" class="tab_content">
							<table id="grid2" ></table>
						</div><!-- end#tab3 -->
						<div id="tab4" class="tab_content">
							<table id="grid3" ></table>
						</div><!-- end#tab4 -->
						<div id="tab5" class="tab_content">
							<div style="margin-bottom:15px;">[<%=localeMessage.getString("trackingDetail.errorInfo")%>]</div>
							<table class="table_row" cellspacing="0">								
								<tr>
									<th style="width:20%;"><%=localeMessage.getString("trackingDetail.eaiErrCd")%></th>
									<td style="width:80%;"><input type="text" name="eaiErrCd"/></td>
								</tr>
								<tr>
									<td colspan="2"><textarea rows="" cols="" name="eaiErrCtnt" style="width: 100%;height:198px"></textarea></td>
								</tr>
							</table>
						</div><!-- end#tab5 -->															
					</div><!-- end.tab_container -->
				</div><!-- end.container-1 -->
				<div class="table_row_title"><%=localeMessage.getString("trackingDetail.inbound")%></div>			
				<table class="table_row" cellspacing="0" >
					<tr>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.svcMotivUseDstcd")%></th>
						<td style="width:30%;"><input type="text" name="svcMotivUseDstcd" readonly="readonly"/> </td>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.gstatSysAdptrBzwkGroupName")%></th>
						<td style="width:30%;"><input type="text" name="gstatSysAdptrBzwkGroupName" readonly="readonly"/> 
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="gstatSysAdptrBzwkGroupName" class="adapter_btn" level="W"/></td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.flowCtrlRoutName")%></th><td><input type="text" name="flowCtrlRoutName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.stndMsgUseYn")%></th><td><input type="text" name="stndMsgUseYn" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.svcPrcssDsticName")%></th><td><input type="text" name="svcPrcssDsticName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.svcBfClmnLogYn")%></th><td><input type="text" name="svcBfClmnLogYn" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.svcPrcssNo")%></th><td><input type="text" name="svcPrcssNo" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.intgraDsticName")%></th><td><input type="text" name="intgraDsticName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.gstatSvcDsticName")%></th><td><input type="text" name="gstatSvcDsticName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.prsntMsgIdName")%></th><td><input type="text" name="prsntMsgIdName" readonly="readonly"/> </td>
					</tr>
				</table>	
				<div class="table_row_title"><%=localeMessage.getString("trackingDetail.outbound")%></div>	
				<table class="table_row" cellspacing="0" >
					<tr>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.psvIntfacDsticName")%></th>
						<td style="width:30%;"><input type="text" name="psvIntfacDsticName" readonly="readonly"/> </td>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.psvSysAdptrBzwkGroupName")%></th>
						<td style="width:30%;"><input type="text" name="psvSysAdptrBzwkGroupName" readonly="readonly"/> 
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="psvSysAdptrBzwkGroupName" class="adapter_btn" level="W"/></td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.outbndRoutName")%></th><td><input type="text" name="outbndRoutName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.toutVal")%></th><td><input type="text" name="toutVal" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.psvSysSvcDsticName")%></th><td><input type="text" name="psvSysSvcDsticName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.psvBzwkSysName")%></th><td><input type="text" name="psvBzwkSysName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.rspnsErrFldName")%></th><td><input type="text" name="rspnsErrFldName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.psvSysIdName")%></th><td><input type="text" name="psvSysIdName" readonly="readonly"/> </td>
					</tr>
				</table>	
				<div class="table_row_title"><%=localeMessage.getString("trackingDetail.MAPPING")%></div>	
				<table class="table_row" cellspacing="0" >
					<tr>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.chngYn")%></th>
						<td style="width:30%;"><input type="text" name="chngYn" readonly="readonly"/> </td>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.chngMsgIdName")%></th>
						<td style="width:30%;"><input type="text" name="chngMsgIdName" readonly="readonly"/> 
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="chngMsgIdName" class="layout_btn" /></td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.bascRspnsChngYn")%></th><td><input type="text" name="bascRspnsChngYn" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.bascRspnsChngMsgIdName")%></th>
						<td>
						<input type="text" name="bascRspnsChngMsgIdName" readonly="readonly"/> 
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="bascRspnsChngMsgIdName" class="layout_btn" /></td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.errRspnsChngYn")%></th><td><input type="text" name="errRspnsChngYn" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.errRspnsChngMsgIdName")%></th>
						<td>
						<input type="text" name="errRspnsChngMsgIdName" readonly="readonly"/>
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="errRspnsChngMsgIdName" class="layout_btn" /> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.inptMsgIDName")%></th>
						<td>
						<input type="text" name="inptMsgIDName" readonly="readonly" />
						<img src="<c:url value="/images/bt/pop_detail.gif"/>" alt="" id="inptMsgIDName" class="layout_btn" /> </td>
						<th><%=localeMessage.getString("trackingDetail.errRspnsMsgCmprCtnt")%></th><td><input type="text" name="errRspnsMsgCmprCtnt" readonly="readonly" /> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.bascRspnsMsgCmprCtnt")%></th><td><input type="text" name="bascRspnsMsgCmprCtnt" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.flovrYn")%></th><td><input type="text" name="flovrYn" readonly="readonly"/> </td>
					</tr>
				</table>	
				<div class="table_row_title"><%=localeMessage.getString("trackingDetail.etc")%></div>				
				<table class="table_row" cellspacing="0" >
					<tr>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.rspnsErrcdName")%></th>
						<td style="width:30%;"><input type="text" name="rspnsErrcdName" readonly="readonly"/> </td>
						<th style="width:20%;"><%=localeMessage.getString("trackingDetail.sevrLogLvelNo")%></th>
						<td style="width:30%;"><input type="text" name="sevrLogLvelNo" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.svcLogLvelNo")%></th><td><input type="text" name="svcLogLvelNo" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.errEAISvcName")%></th><td><input type="text" name="errEAISvcName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.dmndErrChngIDName")%></th><td><input type="text" name="dmndErrChngIDName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.dmndErrFldName")%></th><td><input type="text" name="dmndErrFldName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.rspnsErrChngIdName")%></th><td><input type="text" name="rspnsErrChngIdName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.nextSvcPrcssNo")%></th><td><input type="text" name="nextSvcPrcssNo" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.sevrGroupName")%></th><td><input type="text" name="sevrGroupName" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.cmpenSvcPrcssName")%></th><td><input type="text" name="cmpenSvcPrcssName" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.trackAsisKey1Ctnt")%></th><td><input type="text" name="trackAsisKey1Ctnt" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.trackAsisKey2Ctnt")%></th><td><input type="text" name="trackAsisKey2Ctnt" readonly="readonly"/> </td>
					</tr>
					<tr>
						<th><%=localeMessage.getString("trackingDetail.trackAsisKey3Ctnt")%></th><td><input type="text" name="trackAsisKey3Ctnt" readonly="readonly"/> </td>
						<th><%=localeMessage.getString("trackingDetail.trackAsisKey4Ctnt")%></th><td><input type="text" name="trackAsisKey4Ctnt" readonly="readonly"/> </td>
					</tr>		
				</table>
			</form>			
		</div><!-- end.popup_box -->
	</body>
</html>

